package com.example.pmulabs.viewModels

import androidx.lifecycle.ViewModel
import androidx.paging.PagingData
import com.example.pmulabs.room.models.Article
import com.example.pmulabs.room.repository.ArticleRepository
import kotlinx.coroutines.flow.Flow

class ArticleScreenViewModel(private val articleRepository: ArticleRepository) : ViewModel()  {
    val articles: Flow<PagingData<Article>> = articleRepository.getArticles()
}